import fetch from "@/utils/fetch";

//查询数据集列表
export const getApplication = data => fetch("/develop/resource/dataset/byPage", data, "POST");


//数据集发布-数据集物理存储
export const datasetStorageData = (data) =>
  fetch("/develop/datasource/database/byCondition", data, "POST");

export const getCreate = (data) =>
  fetch("/develop/resource/dataset/creating", data, "POST");

export const getName = (data) =>
  fetch("/develop/resource/dataset/byCondition", data, "POST");

export const getNames = (data) =>
  fetch("/develop/datasource/database/byCondition", data, "POST");

export const getCreates = (data) =>
  fetch("/develop/datasource/database/creating", data, "POST");

export const testDatabases = (data) =>
  fetch("/develop/datasource/database/testConnect", data, "POST");

//删除数据集
export const getDelete = (data) =>
  fetch(`/develop/resource/dataset/deleting?ids=${  data}`, {}, "GET");

//数据集编辑
export const getDatasetEditData = (data) =>
  fetch("/design/datamanage/table/byPage", data, "POST");

//数据集编辑-删除
export const deleteDatasetEdit = (data) =>
  fetch("/design/datamanage/table/deleting", data, "GET");

//获取数据模板
export const datamodelByAll = (data) =>
  fetch("/develop/resource/datamodel/byAll", data, "GET");

// 配置字段保存
export const saveField = (data) =>
  fetch("/design/datamanage/dataTable/createBusinessTable", data, "POST");


//导入数据-保存
export const importData = (data) =>
  fetch("/develop/datasource/database/importTable", data, "POST");

//导入数据-数据源列表
export const importSourceData = (data) =>
  fetch("/develop/datasource/database/listImportTable", data, "GET");

// 字段回填查寻
export const queryFiled = (data) =>
  fetch(`/design/datamanage/dataTable/${  data}`, {}, "GET");

  //查重
export const queryImportTable = (data) =>
  fetch("/design/datamanage/table/byCondition", data, "POST");

// 字段编辑
export const editField = (data) =>
  fetch("/design/datamanage/dataTable/alterBusinessTable", data, "POST");

// 获取数据类型
export const getDataSetType = (data) => fetch("/design/config/dictionary/byPage", data, "POST")

//查询关联字典
export const getSheet =(data) => fetch("/design/config/dictionaryType/byAll",data,"GET")

//同步
export const getSyncFun = (data) => fetch("/develop/sgw/serviceInterface/importSourceData/synfield", data, "POST")

// 获取数据类型
export const getDataSet = (data) => fetch("/design/config/dictionary/byPage", data, "POST")

//数据集发布-发布数据列表
export const publishTableList = (data) =>
  fetch("/design/datamanage/table/publishTableList", data, "POST");

//数据集发布-保存
export const datasetPublishCreate = (data) =>
  fetch("/develop/resource/dataset/creating", data, "POST");

// 左侧行政区
export const getCatalognew = (data) => fetch("/design/basedata/adcode/getAdTree", data, "GET");

//数据集发布-数据集物理存储(过滤)
export const getlistForDataSet = (data) =>
  fetch("/develop/datasource/database/listForDataSet", data, "GET");

// 切换数据源区域
export const changeDataSourceByAdCode = (data) => fetch("/api/datasource/changeDataSourceByAdCode", data, "GET");

//数据集编辑
export const getEdit = (data) =>
  fetch("/develop/resource/dataset/updating", data, "POST");

  














//查询左侧树数据
export const getColumn = data => fetch("/design/appmanage/applicationType/byCondition", data, "POST");
//树新建
export const treeCreating = data => fetch("/design/appmanage/applicationType/creating", data, "POST");
//树编辑
export const treeUpdating = data => fetch("/design/appmanage/applicationType/updating", data, "POST");
//树删除
export const deleteTree = data =>
  fetch(`/design/appmanage/applicationType/deleting?ids=${data}`, {}, "GET");


// 新建系统
export const create = data => fetch("/design/appmanage/application/creating", data, "POST");
// 编辑系统
export const edit = data => fetch("/design/appmanage/application/updating", data, "POST");

//门户的新建和编辑
export const portalCreate = data => fetch("/design/appmanage/application/saveResource", data, "POST");
// 编辑系统
export const portalEdit = data => fetch("/design/appmanage/application/updateResource", data, "POST");

// 删除系统
export const deleting = data => fetch("/design/appmanage/application/deleting", data, "GET");
// 系统查重
export const repeatName = data => fetch("/design/appmanage/application/byCondition", data, "POST");
// 测试数据库连接
export const test = data => fetch("/design/sgw/d2aDataBase/testConnect", data, "POST");
// 邮件接口
export const getEmail = () => fetch("/design/sgw/m2aMail/byCondition", {}, "POST");

// 新建弹窗查询图标
export const queryLogo = data => fetch("/design/component/resource/byCondition", data, "POST");

// 导出应用
export const exportApplication = data =>
  fetch("/design/appmanage/application/exportApp", data, "GET");
// 获取导出应用状态
export const getExportStatus = data =>
  fetch("/design/appmanage/application/queryExportAppStatus", data, "GET");
// 获取导入应用状态
export const getImportStatus = () =>
  fetch("/design/appmanage/application/queryImportAppStatus", {}, "GET");
// 获取导入应用状态
export const cloneApp = data =>
  fetch("/design/appmanage/application/cloneApp", data, "POST", "", data);

// RID数据更新-批量执行
export const updateRidData = data => fetch("/develop/resource/ridUpdate/updateRidData", data, "POST");